## nc-py-api 0.18.2

=== examples/as_app/talk_bot/Makefile ===
.DEFAULT_GOAL := help

.PHONY: help
help:
	@echo "Welcome to TalkBot example. Please use \`make <target>\` where <target> is one of"
	@echo " "
	@echo "  Next commands are only for dev environment with nextcloud-docker-dev!"
	@echo "  They should run from the host you are developing on(with activated venv) and not in the container with Nextcloud!"
	@echo "  "
	@echo "  build-push        build image and upload to ghcr.io"
	@echo "  "
	@echo "  run               install TalkBot for Nextcloud Last"
	@echo "  run28             install TalkBot for Nextcloud 28"
	@echo "  "
	@echo "  For development of this example use PyCharm run configurations. Development is always set for last Nextcloud."
	@echo "  First run 'TalkBot' and then 'make registerXX', after that you can use/debug/develop it and easy test."
	@echo "  "
	@echo "  register          perform registration of running 'TalkBot' into the 'manual_install' deploy daemon."
	@echo "  register28        perform registration of running 'TalkBot' into the 'manual_install' deploy daemon."

.PHONY: build-push
build-push:
	docker login ghcr.io
	docker buildx build --push --platform linux/arm64/v8,linux/amd64 --tag ghcr.io/cloud-py-api/talk_bot:latest .

.PHONY: run
run:
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:unregister talk_bot --silent --force || true
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:register talk_bot --force-scopes \
		--info-xml https://raw.githubusercontent.com/cloud-py-api/nc_py_api/main/examples/as_app/talk_bot/appinfo/info.xml

.PHONY: run28
run28:
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:unregister talk_bot --silent --force || true
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:register talk_bot --force-scopes \
		--info-xml https://raw.githubusercontent.com/cloud-py-api/nc_py_api/main/examples/as_app/talk_bot/appinfo/info.xml

.PHONY: register
register:
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:unregister talk_bot --silent --force || true
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:register talk_bot manual_install --json-info \
  "{\"id\":\"talk_bot\",\"name\":\"TalkBot\",\"daemon_config_name\":\"manual_install\",\"version\":\"1.0.0\",\"secret\":\"12345\",\"port\":9032,\"scopes\":[\"TALK\", \"TALK_BOT\"]}" \
  --force-scopes --wait-finish

.PHONY: register28
register28:
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:unregister talk_bot --force || true
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:register talk_bot manual_install --json-info \
  "{\"id\":\"talk_bot\",\"name\":\"TalkBot\",\"daemon_config_name\":\"manual_install\",\"version\":\"1.0.0\",\"secret\":\"12345\",\"port\":9032,\"scopes\":[\"TALK\", \"TALK_BOT\"]}" \
  --force-scopes --wait-finish

=== examples/as_app/talk_bot_ai/Makefile ===
.DEFAULT_GOAL := help

.PHONY: help
help:
	@echo "Welcome to TalkBotAI example. Please use \`make <target>\` where <target> is one of"
	@echo " "
	@echo "  Next commands are only for dev environment with nextcloud-docker-dev!"
	@echo "  They should run from the host you are developing on(with activated venv) and not in the container with Nextcloud!"
	@echo "  "
	@echo "  build-push        build image and upload to ghcr.io"
	@echo "  "
	@echo "  run               install TalkBotAI for Nextcloud Last"
	@echo "  run28             install TalkBotAI for Nextcloud 28"
	@echo "  "
	@echo "  For development of this example use PyCharm run configurations. Development is always set for last Nextcloud."
	@echo "  First run 'TalkBotAI' and then 'make registerXX', after that you can use/debug/develop it and easy test."
	@echo "  "
	@echo "  register          perform registration of running 'TalkBotAI' into the 'manual_install' deploy daemon."
	@echo "  register28        perform registration of running 'TalkBotAI' into the 'manual_install' deploy daemon."

.PHONY: build-push
build-push:
	docker login ghcr.io
	docker buildx build --push --platform linux/arm64/v8,linux/amd64 --tag ghcr.io/cloud-py-api/talk_bot_ai:latest .

.PHONY: run
run:
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:unregister talk_bot_ai --silent --force || true
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:register talk_bot_ai --force-scopes \
		--info-xml https://raw.githubusercontent.com/cloud-py-api/nc_py_api/main/examples/as_app/talk_bot_ai/appinfo/info.xml

.PHONY: run28
run28:
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:unregister talk_bot_ai --silent --force || true
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:register talk_bot_ai --force-scopes \
		--info-xml https://raw.githubusercontent.com/cloud-py-api/nc_py_api/main/examples/as_app/talk_bot_ai/appinfo/info.xml

.PHONY: register
register:
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:unregister talk_bot_ai --silent --force || true
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:register talk_bot_ai manual_install --json-info \
  "{\"id\":\"talk_bot_ai\",\"name\":\"TalkBotAI\",\"daemon_config_name\":\"manual_install\",\"version\":\"1.0.0\",\"secret\":\"12345\",\"port\":9034,\"scopes\":[\"TALK\", \"TALK_BOT\"]}" \
  --force-scopes --wait-finish

.PHONY: register28
register28:
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:unregister talk_bot_ai --silent --force || true
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:register talk_bot_ai manual_install --json-info \
  "{\"id\":\"talk_bot_ai\",\"name\":\"TalkBotAI\",\"daemon_config_name\":\"manual_install\",\"version\":\"1.0.0\",\"secret\":\"12345\",\"port\":9034,\"scopes\":[\"TALK\", \"TALK_BOT\"]}" \
  --force-scopes --wait-finish

=== debian/changelog ===
nc-py-api (0.18.2-2) unstable; urgency=medium

  * debian/control: set "Multi-Arch: foreign" for python-nextcloud-api-doc
  * extend metadata in debian/patches/remove_autodoc_pydantic.diff
  * add debian/tests/autopkgtest-pkg-python.conf to make autopkgtest-pkg-python
    work correctly

 -- Philipp Huebner <debalance@debian.org>  Thu, 06 Feb 2025 07:51:31 +0100

nc-py-api (0.18.2-1) unstable; urgency=medium

  * Initial release (closes: #1095056).

 -- Philipp Huebner <debalance@debian.org>  Mon, 03 Feb 2025 09:54:56 +0100

=== debian/control ===
Source: nc-py-api
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dotenv,
               python3-fastapi,
               python3-hatchling,
               python3-httpx,
               python3-pydantic,
               python3-requests,
               python3-sphinx,
               python3-sphinx-copybutton,
               python3-sphinx-inline-tabs,
               python3-sphinx-issues,
               python3-sphinx-rtd-theme,
               python3-truststore,
               python3-xmltodict
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/cloud-py-api/nc_py_api
Vcs-Browser: https://salsa.debian.org/python-team/packages/nc-py-api
Vcs-Git: https://salsa.debian.org/python-team/packages/nc-py-api.git

Package: python3-nextcloud-api
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-nextcloud-api-doc
Description: Python library that provides an API to interact with Nextcloud
 Python library that provides a robust and well-documented API that allows
 developers to interact with and extend Nextcloud's functionality.
 The key features are:
  - Fast: High performance, and as low-latency as possible.
  - Intuitive: Fast to code, easy to use.
  - Reliable: Minimum number of incompatible changes.
  - Robust: All code is covered with tests as much as possible.
  - Easy: Designed to be easy to use with excellent documentation.
  - Sync + Async: Provides both sync and async APIs.
 .
 This package installs the library for Python 3.

Package: python-nextcloud-api-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: docs for Python library that provides an API to interact with Nextcloud
 Python library that provides a robust and well-documented API that allows
 developers to interact with and extend Nextcloud's functionality.
 The key features are:
  - Fast: High performance, and as low-latency as possible.
  - Intuitive: Fast to code, easy to use.
  - Reliable: Minimum number of incompatible changes.
  - Robust: All code is covered with tests as much as possible.
  - Easy: Designed to be easy to use with excellent documentation.
  - Sync + Async: Provides both sync and async APIs.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME = nextcloud-api

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_install:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(shell pybuild --print {build_dir} --interpreter python3) \
	HTTP_PROXY='http://127.0.0.1:9/' HTTPS_PROXY='https://127.0.0.1:9/' \
	python3 -m sphinx -b html docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	rm -rf $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html/.doctrees
endif

## nc-py-api 0.19.2

=== Makefile ===
.DEFAULT_GOAL := help

.PHONY: docs
.PHONY: html
docs html:
	rm -rf docs/_build
	$(MAKE) -C docs html

.PHONY: links
links:
	$(MAKE) -C docs links

.PHONY: help
help:
	@echo "Welcome to NC_PY_API development. Please use \`make <target>\` where <target> is one of"
	@echo "  docs                make HTML docs"
	@echo "  html                make HTML docs"
	@echo "  "
	@echo "  Next commands are only for dev environment with nextcloud-docker-dev!"
	@echo "  They should run from the host you are developing on(with activated venv) and not in the container with Nextcloud!"
	@echo "  "
	@echo "  register28          register nc_py_api for Nextcloud 28"
	@echo "  register29          register nc_py_api for Nextcloud 29"
	@echo "  register30          register nc_py_api for Nextcloud 30"
	@echo "  register            register nc_py_api for Nextcloud Last"
	@echo "  "
	@echo "  tests28             run nc_py_api tests for Nextcloud 28"
	@echo "  tests29             run nc_py_api tests for Nextcloud 29"
	@echo "  tests30             run nc_py_api tests for Nextcloud 30"
	@echo "  tests               run nc_py_api tests for Nextcloud Last"

.PHONY: register28
register28:
	/bin/sh scripts/dev_register.sh master-stable28-1 stable28.local

.PHONY: register29
register29:
	/bin/sh scripts/dev_register.sh master-stable29-1 stable29.local

.PHONY: register30
register30:
	/bin/sh scripts/dev_register.sh master-stable30-1 stable30.local

.PHONY: register
register:
	/bin/sh scripts/dev_register.sh master-nextcloud-1 nextcloud.local

.PHONY: tests28
tests28:
	NEXTCLOUD_URL=http://stable28.local python3 -m pytest

.PHONY: tests29
tests29:
	NEXTCLOUD_URL=http://stable29.local python3 -m pytest

.PHONY: tests30
tests30:
	NEXTCLOUD_URL=http://stable30.local python3 -m pytest

.PHONY: tests
tests:
	NEXTCLOUD_URL=http://nextcloud.local python3 -m pytest

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        = python3
SPHINXOPTS	  =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build
LINKCHECKDIR  = _build/linkcheck

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

github:
	@make html
	@cp -a build/html/. ./docs

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: links
links:
	@$(SPHINXBUILD) -b linkcheck "$(SOURCEDIR)" "$(LINKCHECKDIR)" $(ALLSPHINXOPTS)

=== examples/as_app/talk_bot/requirements.txt ===
nc_py_api[app]>=0.14.0

=== examples/as_app/talk_bot_ai/requirements.txt ===
nc_py_api[app]>=0.14.0
transformers>=4.33
torch
torchvision
torchaudio

=== examples/as_app/to_gif/Makefile ===
.DEFAULT_GOAL := help

GITHUB_USERNAME := cloud-py-api

APP_ID := to_gif
APP_NAME := ToGif
APP_VERSION := 1.0.0
APP_SECRET := 12345
APP_PORT := 9031

JSON_INFO := "{\"id\":\"$(APP_ID)\",\"name\":\"$(APP_NAME)\",\"daemon_config_name\":\"manual_install\",\"version\":\"$(APP_VERSION)\",\"secret\":\"$(APP_SECRET)\",\"port\":$(APP_PORT),\"routes\":[{\"url\":\".*\",\"verb\":\"GET, POST, PUT, DELETE\",\"access_level\":1,\"headers_to_exclude\":[]}]}"

.PHONY: help
help:
	@echo "Welcome to $(APP_NAME). Please use \`make <target>\` where <target> is one of"
	@echo " "
	@echo "  Next commands are only for dev environment with nextcloud-docker-dev!"
	@echo "  They should run from the host you are developing on(with activated venv) and not in the container with Nextcloud!"
	@echo "  "
	@echo "  build-push        build image and upload to ghcr.io"
	@echo "  "
	@echo "  run28             install $(APP_NAME) for Nextcloud 28"
	@echo "  run29             install $(APP_NAME) for Nextcloud 29"
	@echo "  run30             install $(APP_NAME) for Nextcloud 30"
	@echo "  run               install $(APP_NAME) for Nextcloud Latest"
	@echo "  "
	@echo "  For development of this example use PyCharm run configurations. Development is always set to the latest version of Nextcloud."
	@echo "  First run '$(APP_NAME)' and then 'make registerXX', after that you can use/debug/develop it and easy test."
	@echo "  "
	@echo "  register28        perform registration of running '$(APP_ID)' into the 'manual_install' deploy daemon."
	@echo "  register29        perform registration of running '$(APP_ID)' into the 'manual_install' deploy daemon."
	@echo "  register30        perform registration of running '$(APP_ID)' into the 'manual_install' deploy daemon."
	@echo "  register          perform registration of running '$(APP_ID)' into the 'manual_install' deploy daemon."

.PHONY: build-push
build-push:
	docker login ghcr.io
	docker buildx build --push --platform linux/arm64/v8,linux/amd64 --tag ghcr.io/$(GITHUB_USERNAME)/$(APP_ID):latest .

.PHONY: run28
run28:
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:unregister $(APP_ID) --silent --force || true
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:register $(APP_ID) --force-scopes \
		--info-xml https://raw.githubusercontent.com/cloud-py-api/nc_py_api/main/examples/as_app/$(APP_ID)/appinfo/info.xml

.PHONY: run29
run29:
	docker exec master-stable29-1 sudo -u www-data php occ app_api:app:unregister $(APP_ID) --silent --force || true
	docker exec master-stable29-1 sudo -u www-data php occ app_api:app:register $(APP_ID) --force-scopes \
		--info-xml https://raw.githubusercontent.com/cloud-py-api/nc_py_api/main/examples/as_app/$(APP_ID)/appinfo/info.xml

.PHONY: run30
run30:
	docker exec master-stable30-1 sudo -u www-data php occ app_api:app:unregister $(APP_ID) --silent --force || true
	docker exec master-stable30-1 sudo -u www-data php occ app_api:app:register $(APP_ID) --force-scopes \
		--info-xml https://raw.githubusercontent.com/cloud-py-api/nc_py_api/main/examples/as_app/$(APP_ID)/appinfo/info.xml

.PHONY: run
run:
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:unregister $(APP_ID) --silent --force || true
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:register $(APP_ID) --force-scopes \
		--info-xml https://raw.githubusercontent.com/cloud-py-api/nc_py_api/main/examples/as_app/$(APP_ID)/appinfo/info.xml

.PHONY: register28
register28:
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:unregister $(APP_ID) --silent --force || true
	docker exec master-stable28-1 sudo -u www-data php occ app_api:app:register $(APP_ID) manual_install --json-info $(JSON_INFO) --force-scopes --wait-finish

.PHONY: register29
register29:
	docker exec master-stable29-1 sudo -u www-data php occ app_api:app:unregister $(APP_ID) --silent --force || true
	docker exec master-stable29-1 sudo -u www-data php occ app_api:app:register $(APP_ID) manual_install --json-info $(JSON_INFO) --force-scopes --wait-finish

.PHONY: register30
register30:
	docker exec master-stable30-1 sudo -u www-data php occ app_api:app:unregister $(APP_ID) --silent --force || true
	docker exec master-stable30-1 sudo -u www-data php occ app_api:app:register $(APP_ID) manual_install --json-info $(JSON_INFO) --force-scopes --wait-finish

.PHONY: register
register:
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:unregister $(APP_ID) --silent --force || true
	docker exec master-nextcloud-1 sudo -u www-data php occ app_api:app:register $(APP_ID) manual_install --json-info $(JSON_INFO) --force-scopes --wait-finish

=== examples/as_app/to_gif/requirements.txt ===
nc_py_api[app]>=0.14.0
pygifsicle
imageio
opencv-python
numpy

=== debian/changelog ===
nc-py-api (0.19.2-1) unstable; urgency=medium

  * New upstream version 0.19.2
  * Updated Standards-Version: 4.7.2 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 30 Mar 2025 15:53:40 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python3-truststore,
                python3-xmltodict
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/cloud-py-api/nc_py_api
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nc-py-api
 Vcs-Git: https://salsa.debian.org/python-team/packages/nc-py-api.git

=== debian/watch ===
version=4
opts="searchmode=plain,\
	filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
	https://api.github.com/repos/cloud-py-api/nc_py_api/releases?per_page=50 \
	https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
